/************************************************************
 *
 * $Id: arguments.h,v 1.3 2000/05/03 19:25:05 htran Exp $
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 ************************************************************/


#ifndef ARGUMENTS_H
#define ARGUMENTS_H

#include "uTypes.h"

typedef struct{
  char videoAddress[16];
  char audioAddress[16];
  char *sdpFile;
  int videoPort;
  int audioPort;
  bool playVideo;
  bool playAudio;
  bool zoom;
} args_t;


#endif
