/**********************************************************************
 *
 * $Id: signal_callbacks.h,v 1.2 2000/05/03 19:25:29 htran Exp $
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 **********************************************************************/

#ifndef SIGNAL_CALLBACKS_H
#define SIGNAL_CALLBACKS_H
#include <gtk/gtk.h>
#include <sys/types.h>
#include <unistd.h>

void quit_button_clicked(GtkWidget *w,gpointer data);

void help_button_clicked(GtkWidget *w,gpointer data);

void more_info_button_clicked(GtkWidget *w, gpointer data);

void stop_button_clicked(GtkWidget *w, gpointer data);

void play_button_clicked(GtkWidget *w, gpointer data);


void selection_made_mpeg_list(GtkWidget *clist,gint row, gint column,
			      GdkEventButton *event,gpointer data);

void selection_made_other_list(GtkWidget *clist,gint row, gint column,
			       GdkEventButton *event,gpointer data);

GtkWidget *draw_dialog(char *title,char *contact,char *data, int flag);

void launch_video_audio(GtkWidget *w,gpointer data);

void launch_video_muted(GtkWidget *w,gpointer data);





#endif










